Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue.push.xml
Class BasicAuth

    java.lang.Object
      org.hornetq.rest.queue.push.xml.AuthenticationType
          org.hornetq.rest.queue.push.xml.BasicAuth

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DigestAuth

    public class BasicAuth

extends AuthenticationType

Version:
  $Revision: 1 $
Author:
  Bill Burke
See Also:
  Serialized Form

Constructor Summary
`BasicAuth()`

Method Summary
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUsername()`
`void` | `setPassword(java.lang.String password)`
`void` | `setUsername(java.lang.String username)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicAuth

    public BasicAuth()

Method Detail

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.